## nvidia-settings-legacy-173xx 173.14.35

=== Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2004 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of Version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See Version 2
# of the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the:
#
#           Free Software Foundation, Inc.
#           59 Temple Place - Suite 330
#           Boston, MA 02111-1307, USA
#

#
# This is the top level Makefile for the nvidia-settings utility
#

# Below are variables that users can override, either here or on the
# make commandline
#
# CC = gcc
# CFLAGS = -Wall
# PKG_CONFIG = pkg-config
# X11R6_DIR = /usr/X11R6

# default build target

default: all


# default definitions; can be overwritten by users

SHELL = /bin/sh
INSTALL = install
BUILD_OS := $(shell uname)
BUILD_ARCH := $(shell uname -m)
M4 := m4

ifndef CC
  CC = gcc
endif

ifndef PKG_CONFIG
  PKG_CONFIG = pkg-config
endif

ifndef X11_LIB_DIRS
  ifeq ($(BUILD_OS)-$(BUILD_ARCH),Linux-x86_64)
    X11_LIB_DIRS = -L/usr/X11R6/lib64
  else
    X11_LIB_DIRS = -L/usr/X11R6/lib
  endif
endif

ifndef X11_INC_DIRS
  X11_INC_DIRS = -I/usr/X11R6/include
endif

# define local variables

LOCAL_CFLAGS = -Wall

# the NVDEBUG environment variable controls whether we build debug or retail

ifeq ($(NVDEBUG),1)
  STRIP = true
  LOCAL_CFLAGS += -g -DDEBUG
else
  ifndef STRIP
    STRIP = strip
  endif
  LOCAL_CFLAGS += -O -DNDEBUG
endif

# default prefix
ifdef ROOT
  prefix = $(ROOT)/usr
else
  prefix = /usr/local
endif

# default echo within SunOS sh does not have -n option. Use /usr/ucb/echo instead.
# Solaris install has a different argument syntax 
ifeq ($(BUILD_OS),SunOS)
ECHO=/usr/ucb/echo
define INSTALL_RULE
	$(INSTALL) -m 755 -f $(bindir) $(NVIDIA_SETTINGS)
	mkdir -p $(mandir)
	$(INSTALL) -m 644 -f $(mandir) doc/$(MANPAGE)
endef
LD_RUN_FLAG=-R/usr/X11R6/lib
else
ECHO=echo
define INSTALL_RULE
	$(INSTALL) -m 755 $(NVIDIA_SETTINGS) $(bindir)/$(NVIDIA_SETTINGS)
	mkdir -p $(mandir)
	$(INSTALL) -m 644 doc/$(MANPAGE) $(mandir)
	gzip -9f $(mandir)/$(MANPAGE)
endef
endif

exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
mandir = $(exec_prefix)/share/man/man1

X11_CFLAGS = $(X11_INC_DIRS)

GTK_CFLAGS := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
GTK_LDFLAGS := $(shell $(PKG_CONFIG) --libs gtk+-2.0)

X11_LIBS := $(X11_LIB_DIRS) -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic -lX11 -lXext

XNVCTRL_LIB := src/libXNVCtrl/libXNVCtrl.a
XNVCTRL_DIR := src/libXNVCtrl

XF86PARSER_LIB := src/XF86Config-parser/libXF86Config-parser.a
XF86PARSER_DIR := src/XF86Config-parser

CURDIR := $(shell pwd)

RELATIVE_SRCDIRS = \
	doc \
	src \
	src/image_data \
	src/xpm_data \
	src/gtk+-2.x \
	src/libXNVCtrl \
	src/libXNVCtrlAttributes \
	src/XF86Config-parser \
	samples


SRCDIRS := $(addprefix $(CURDIR)/, $(RELATIVE_SRCDIRS))

INC_FLAGS := $(addprefix -I , $(RELATIVE_SRCDIRS))

ALL_CFLAGS = $(CFLAGS) $(LOCAL_CFLAGS) $(X11_CFLAGS) $(GTK_CFLAGS) $(INC_FLAGS)
ALL_LDFLAGS = $(LD_RUN_FLAG) $(LDFLAGS) $(GTK_LDFLAGS) $(X11_LIBS) -lm

CPPFLAGS = $(ALL_CFLAGS)


NVIDIA_SETTINGS = nvidia-settings
NVIDIA_SETTINGS_VERSION = 1.0

NVIDIA_SETTINGS_DISTDIR = $(NVIDIA_SETTINGS)-$(NVIDIA_SETTINGS_VERSION)
NVIDIA_SETTINGS_DISTDIR_DIRS := \
	$(addprefix $(NVIDIA_SETTINGS_DISTDIR)/, $(RELATIVE_SRCDIRS))

STAMP_C = g_stamp.c

MANPAGE = nvidia-settings.1


# initialize SRC and EXTRA_DIST, then include each of the subdirectory
# Makefiles so that they can append to SRC and EXTRA_DIST

SRC =
EXTRA_DIST =

include $(patsubst %,%/Makefile.inc,$(RELATIVE_SRCDIRS))


# set VPATH 

VPATH = $(RELATIVE_SRCDIRS)


# additional sources (eg: generated sources) can be appended to ALL_SRC

ALL_SRC = $(SRC) $(STAMP_C)


# OBJS and DEPS are constructed such that they are placed into special
# ".objs" and ".deps" subdirectories

OBJS_DIR = .objs
DEPS_DIR = .deps

OBJS := $(patsubst %.c,$(OBJS_DIR)/%.o,$(ALL_SRC))
DEPS := $(patsubst %.c,$(DEPS_DIR)/%.d,$(SRC))

# and now, the build rules:

all: $(NVIDIA_SETTINGS) doc/$(MANPAGE)

install: all
	$(STRIP) $(NVIDIA_SETTINGS)
	$(INSTALL_RULE)

$(OBJS_DIR)/%.o: %.c
	@ mkdir -p $(OBJS_DIR)
	$(CC) -c $(ALL_CFLAGS) $< -o $@

# to generate the dependency files, use the compiler's "-MM" option to
# generate output of the form "foo.o : foo.c foo.h"; then, use sed to
# replace the target with "$(OBJS_DIR)/foo.o $(DEPS_DIR)/foo.d", and
# wrap the prerequisites with $(wildcard ...); the wildcard function
# serves as an existence filter, so that files that are later removed
# from the build do not cause stale references.

$(DEPS_DIR)/%.d: %.c
	@ mkdir -p $(DEPS_DIR)
	@ set -e; b=`basename $* .c` ; \
	$(CC) -MM $(CPPFLAGS) $< \
	| sed \
	-e "s%\\($$b\\)\\.o[ :]*%$(OBJS_DIR)/\\1.o $(DEPS_DIR)/\\1.d : $$\(wildcard %g" \
	-e "s,\([^\\]\)$$,\1)," > $@; \
	[ -s $@ ] || rm -f $@

$(STAMP_C): $(filter-out $(OBJS_DIR)/$(STAMP_C:.c=.o), $(OBJS))
	@ rm -f $@
	@ $(ECHO) -n "const char NV_ID[] = \"nvidia id: " >> $@
	@ $(ECHO) -n "$(NVIDIA_SETTINGS):  " >> $@
	@ $(ECHO) -n "version $(NVIDIA_SETTINGS_VERSION)  " >> $@
	@ $(ECHO) -n "($(shell whoami)@$(shell hostname))  " >> $@
	@ echo    "$(shell date)\";" >> $@
	@ echo    "const char *pNV_ID = NV_ID + 11;" >> $@


%.i : %.c
	$(CC) $(CPPFLAGS) -E -dD $< | sed -e 's/^ $$//' > $@
	indent -kr -nbbo -l96 -sob $@

$(XF86PARSER_LIB):
	$(MAKE) NV_CFLAGS='$(NV_CFLAGS)' -C $(XF86PARSER_DIR)

$(XNVCTRL_LIB):
	$(MAKE) CFLAGS='$(ALL_CFLAGS)' LDFLAGS='$(ALL_LDFLAGS)' -C $(XNVCTRL_DIR)

$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_LIB) $(XF86PARSER_LIB)
	$(CC) $(OBJS) $(ALL_CFLAGS) $(ALL_LDFLAGS) $(XNVCTRL_LIB) $(XF86PARSER_LIB) -o $@

.PHONY: $(XF86PARSER_LIB) dist clean clobber

dist: $(XNVCTRL_LIB)
	@ if [ -d $(NVIDIA_SETTINGS_DISTDIR) ]; then \
		chmod 755 $(NVIDIA_SETTINGS_DISTDIR); \
	fi
	@ if [ -f $(NVIDIA_SETTINGS_DISTDIR).tar.gz ]; then \
		chmod 644 $(NVIDIA_SETTINGS_DISTDIR).tar.gz; \
	fi
	rm -rf $(NVIDIA_SETTINGS_DISTDIR) $(NVIDIA_SETTINGS_DISTDIR).tar.gz
	mkdir -p $(NVIDIA_SETTINGS_DISTDIR_DIRS)
	@ for inc_dir in $(RELATIVE_SRCDIRS) .; do \
		EXTRA_DIST=; \
		SRC=; \
		mkdir -p $(NVIDIA_SETTINGS_DISTDIR)/$$inc_dir; \
		for inc_file in `$(MAKE) --makefile $$inc_dir/Makefile.inc dist_list`; do \
			file="$$inc_dir/$$inc_file"; \
			cp $$file $(NVIDIA_SETTINGS_DISTDIR)/$$file; \
			chmod 644 $(NVIDIA_SETTINGS_DISTDIR)/$$file; \
		done; \
	done
	tar czf $(NVIDIA_SETTINGS_DISTDIR).tar.gz $(NVIDIA_SETTINGS_DISTDIR)
	rm -rf $(NVIDIA_SETTINGS_DISTDIR)

clean clobber:
	rm -rf $(OBJS_DIR) $(DEPS_DIR) $(STAMP_C) $(NVIDIA_SETTINGS) $(XNVCTRL_LIB)
	find . -name "*~" -exec rm -f \{\} \;

-include $(DEPS)

=== src/libXNVCtrl/Makefile ===
RANLIB ?= ranlib

libXNVCtrl.a : libXNVCtrl.a(NVCtrl.o)
	$(RANLIB) $@

NVCtrl.o : NVCtrl.h nv_control.h NVCtrlLib.h
.INTERMEDIATE: NVCtrl.o

clean ::
	rm -f libXNVCtrl.a *.o
.PHONY: clean

=== debian/changelog ===
nvidia-settings-legacy-173xx (173.14.35-2) unstable; urgency=low

  * Add libgl1-nvidia-legacy-96xx-glx as alternative recommendation to avoid
    pulling in 173xx packages on 96xx installations.  (Closes: #702651)
  * Update menu title (Closes: #688748) and package description to mention
    96xx legacy support.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:53:26 +0100

nvidia-settings-legacy-173xx (173.14.35-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 173xx driver.
    nvidia-settings (>= 302) is no longer fully backwards compatible with the
    legacy driver.
  * Build only a single binary package, no -dev package or shared library.
  * 08_fix_format-security: New patch to fix compile errors.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 31 Jul 2012 17:16:30 +0200

nvidia-settings (302.17-2) unstable; urgency=low

  * debian/rules: Really use the hardened CPPFLAGS.
  * Support building with DEB_BUILD_OPTIONS=noopt.
  * Enable verbose build by default.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 19:33:08 +0200

nvidia-settings (302.17-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused the link configuration of DisplayPort devices to
      be reported incorrectly in nvidia-settings.  [302.11]
  * Upload to unstable.
  * Switch to debhelper 9 to get the hardening build flags.
  * 10_libxnvctrl_so_0.diff, debian/rules: Use the hardened CPPFLAGS/LDFLAGS.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 27 Jun 2012 09:18:18 +0200

nvidia-settings (302.07-1) experimental; urgency=low

  * New upstream release.
    - Added a "CurrentMetaMode" attribute to the nvidia-settings command
      line, to query and set the current MetaMode.
      As an example, these two commands are equivalent:
        xrandr --output DVI-I-2 --mode 1280x1024 --pos 0x0 \
               --output DVI-I-3 --mode 1920x1200 --pos 1280x0
        nvidia-settings --assign CurrentMetaMode=\
                "DVI-I-2: 1280x1024 +0+0, DVI-I-3: 1920x1200 +1280+0"
    - Removed overscan compensation configurability from NV-CONTROL and
      nvidia-settings. This can be configured, with finer granularity,
      through the ViewPortIn and ViewPortOut MetaMode attributes.
      See "Configuring Multiple Display Devices on One X Screen" in the
      README for details.
    - Removed Flat Panel Scaling configurability in nvidia-settings.
      Any desired scaling can be configured through the new "ViewPortIn"
      and "ViewPortOut" MetaMode attributes.
    - Expose the following additional FSAA modes via NV-CONTROL,
      nvidia-settings, and through X visuals and GLXFBConfigs:
        16X multisample FSAA on all GeForce GPUs
        Coverage sample FSAA on G80 and above GeForce GPUs
        32X multisample FSAA on G80 and above Quadro GPUs
        64X multisample FSAA on Fermi and above Quadro GPUs
    - Added a new, higher resolution icon for nvidia-settings.
    - Added a checkbox to nvidia-settings to control the texture clamping
      attribute.  When the box is checked, OpenGL textures are clamped
      according to the OpenGL specification.  When it is unchecked, GL_CLAMP
      is remapped to GL_CLAMP_TO_EDGE for borderless 2D textures.
    - Removed the "Display" and "X Screen" tabs from the "X Server Display
      Configuration Page" of nvidia-settings, and added a new "Selection"
      dropdown menu for selecting X screens or display devices.  This
      makes it easier to select X screens/Displays that are hidden.
  * Upload to experimental.
  * Drop patches 00_destdir, 03_build_xnvctrl_with_fpic: fixed upstream.
  * Refresh patches 04_link_as-needed, 06_fix_typos, 07_fix_hyphenation,
    10_libxnvctrl_so_0 and adjust for buld system changes.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 13:09:16 +0200

nvidia-settings (295.49-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 11:58:10 +0200

nvidia-settings (295.33-2) unstable; urgency=low

  * Add 10_libxnvctrl_so_0.diff: build libXNVCtrl.so.0 shared library.
  * Add libnvctrl0 package.  (Closes: #666909)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 13 Apr 2012 08:10:30 +0200

nvidia-settings (295.33-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Use the final copyright-format/1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 04 Apr 2012 14:35:52 +0200

nvidia-settings (295.20-1) unstable; urgency=low

  * New upstream release.
    - Split the DFP configuration page in nvidia-settings into multiple
      tabs, allowing the controls to be displayed on smaller screens.
  * Switch debian/copyright to DEP-5 format and add more license statements
    found in the source.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 15 Feb 2012 21:16:29 +0100

nvidia-settings (290.10-1) unstable; urgency=low

  * New upstream release.  (Closes: #639009)
  * Add pkg-config to Build-Depends and Depends.  Thanks Mackenzie Morgan!

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Nov 2011 13:12:07 +0100

nvidia-settings (280.13-1) unstable; urgency=low

  * New upstream release.
  * Remove nvidia-common dependency from libnvctrl-dev.  (Closes: #636821)

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 06 Aug 2011 12:20:34 +0200

nvidia-settings (275.21-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused nvidia-settings to crash when configuring
      multiple X screens after all monitors were unplugged from one of
      the X screens.
    - Fixed a bug in nvidia-settings that caused the display configuration
      page to show extra disabled displays after connecting a new monitor.
  * Recommend libgl1-nvidia-glx-any (for libGL.so.1).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 23 Jul 2011 12:28:54 +0200



=== debian/control ===
Source: nvidia-settings-legacy-173xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.3
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings-legacy-173xx/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings-legacy-173xx/

Package: nvidia-settings-legacy-173xx
Architecture: i386 amd64
Pre-Depends: nvidia-installer-cleanup
Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
Recommends: libgl1-nvidia-legacy-173xx-glx | libgl1-nvidia-legacy-96xx-glx
Provides: nvidia-settings
Conflicts: nvidia-settings,
 xserver-xorg-video-nvidia,
Replaces: nvidia-settings
Description: Tool for configuring the NVIDIA graphics driver
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.
 .
 This version of nvidia-settings is only for use with the 173xx and 96xx
 legacy drivers.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG = 1
endif

export PREFIX = /usr


%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build -O--parallel
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" $(MAKE) -C samples

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installexamples:
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	dh_installexamples

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(173.*).tar.(?:gz|bz2)

## nvidia-settings-legacy-173xx 173.14.39

=== debian/changelog ===
nvidia-settings-legacy-173xx (173.14.39-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Jan 2014 10:25:05 +0100

nvidia-settings-legacy-173xx (173.14.39-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2013 20:55:10 +0100

nvidia-settings-legacy-173xx (173.14.38-2) unstable; urgency=low

  * Synchronize packaging with nvidia-settings-legacy-304xx 304.116-1
  * Synchronize packaging with nvidia-settings 319.60-1:
    - Add lintian overrides for missing upstream changelog.
  * Synchronize packaging with nvidia-settings 319.72-1:
    - Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Dec 2013 16:20:06 +0100

nvidia-settings-legacy-173xx (173.14.38-1) unstable; urgency=low

  * New upstream release.
  * Synchronize packaging with nvidia-settings-legacy-304xx 304.108-2
  * Synchronize packaging with nvidia-settings 310.51-1:
    - Add Build-Conflicts: libxnvctrl-dev, to avoid building against the
      shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 20:49:08 +0200

nvidia-settings-legacy-173xx (173.14.37-1) unstable; urgency=low

  * New upstream release.
  * Synchronize packaging with nvidia-settings 304.88-2:
    - Use canonical Vcs-* URLs. 
    - Bump Standards-Version to 3.9.4. No changes needed.
    - Add support for "legacy" substitution like in nvidia-graphics-drivers.
    - Add support for renaming control files for legacy use.
    - Add support for generating legacy-aware watch files.
  * Make nvidia-settings and nvidia-settings-legacy-* co-installable.
    - Install everything to /usr/lib/nvidia/legacy-173xx.
    - nvidia-alternative-legacy-173xx manages the alternative symlinks.
    (Closes: #688752)
  * Drop support for the 96xx legacy driver. That will get its own
    nvidia-settings-legacy-96xx.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 00:52:32 +0200

nvidia-settings-legacy-304xx (304.116-1) unstable; urgency=low

  * New upstream release 304.116.
  * Synchronize packaging with nvidia-settings 310.51-1:
    - Add Build-Conflicts: libxnvctrl-dev, to avoid building against the
      shared library.
  * Synchronize packaging with nvidia-settings 319.60-1:
    - Add lintian overrides for missing upstream changelog.
  * Synchronize packaging with nvidia-settings 319.72-1:
    - Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:55:48 +0100

nvidia-settings-legacy-304xx (304.108-2) unstable; urgency=low

  * Synchronize packaging with nvidia-settings 304.108-2:
    - Fix nvidia-legacy-304xx-alternative substitution.  (Closes: #722492)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:36:32 +0200

nvidia-settings-legacy-304xx (304.108-1) unstable; urgency=low

  * Initial release of nvidia-settings for use with the legacy 304xx driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 21:50:13 +0200

nvidia-settings (304.108-2) unstable; urgency=low

  * More generic "nvidia-alternative" substitution.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2013 19:43:45 +0200

nvidia-settings (304.108-1) unstable; urgency=low

  * New upstream release 304.108.
    - Fixed a bug in nvidia-settings that could cause the wrong
      resolution to be set in basic mode for setups based on one
      display per X screen.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 20:32:16 +0200

nvidia-settings (304.88-2) unstable; urgency=low

  * 13_clean.diff: New. Recurse into libXNVCtrl during clean.
  * Fix building twice in a row.
  * 14_install_docs.diff: New. Fix permissions of installed manpage.
  * Use canonical Vcs-* URLs. 
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Renumber patches to avoid numbering conflicts with -legacy-*.
  * Add support for "legacy" substitution like in nvidia-graphics-drivers.
  * Add support for renaming control files for legacy use.
  * Add support for generating legacy-aware watch files.
  * Make nvidia-settings and nvidia-settings-legacy-* co-installable.
    - Install everything to /usr/lib/nvidia/current.
    - nvidia-alternative manages the alternative symlinks.
    (Closes: #688749)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 00:36:04 +0200

nvidia-settings (304.88-1) unstable; urgency=low

  * New upstream release 304.88.
  * Update menu title. Thanks Gaudenz Steinlin.  (Closes: #688746)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2013 10:55:54 +0200

nvidia-settings (304.84-1) unstable; urgency=low

  * New upstream release 304.84.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:00:54 +0100

nvidia-settings (304.64-1) unstable; urgency=low

  * New upstream release 304.64.
    - Fixed a bug that sometimes prevented the display device / X screen
      selection menu from being displayed in nvidia-settings.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 07 Nov 2012 11:02:15 +0100

nvidia-settings (304.60-1) unstable; urgency=low

  * New upstream release 304.60.
    - Updated nvidia-settings to save and restore per-monitor color correction
      settings when RandR 1.2 or later is available.
    - Fixed a bug that caused too many display devices to appear in the X Screen
      page of nvidia-settings when SLI is enabled.
    - Fixed a bug in nvidia-settings that made it report the status of ECC
      configuration incorrectly.
    - Updated nvidia-settings to report Dedicated GPU Memory (i.e., the
      memory dedicated exclusively to the GPU) and Total GPU Memory (i.e.,
      Dedicated GPU Memory plus any TurboCache(TM)-accessible system memory)
      separately on the GPU information page.
    - Added reporting of the current utilization of Dedicated GPU Memory to


=== debian/control ===
Source: nvidia-settings-legacy-173xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.5
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings-legacy-173xx/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings-legacy-173xx/

Package: nvidia-settings-legacy-173xx
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 pkg-config,
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Breaks:
 nvidia-alternative (<< 313.30-2),
 nvidia-alternative-legacy-173xx (<< 173.14.37),
 nvidia-alternative-legacy-96xx (<< 96.43.23-4),
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG = 1
endif

export PREFIX = /usr

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
watch_version		?= $(NVIDIA_LEGACY)

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
LEGACY_CONTROL	:= $(wildcard debian/nvidia-settings$(legacy).*)
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(legacy).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build -O--parallel
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" $(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	$(RM) -r _out */_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
		-V'nvidia:LegacyDesc=$(legacy_description)' \
		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#LEGACY#}{$(legacy)}g;' \
		-e 's{#LEGACY_DESC#}{$(legacy_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for legacy packaging
ifneq (,$(legacy))
nvidia-settings$(legacy).%: nvidia-settings.%
	cp -a $< $@
endif
